<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="urn:ietf:params:xml:ns:netconf:base:1.0"
                  elementFormDefault="qualified"
                  xmlns="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <!--netconf xsd(RFC4741) and some extend operations by h3c -->
  <xs:include schemaLocation="netconf.xsd"></xs:include>
  <!--netconf event xsd(RFC5277) -->
  <xs:import namespace="urn:ietf:params:xml:ns:netconf:notification:1.0" schemaLocation="notification.xsd" ></xs:import>
  <xs:import namespace="urn:ietf:params:xml:ns:netmod:notification" schemaLocation="event_get.xsd"></xs:import>
  <!--h3c event (for RFC 5277) -->
  <xs:import namespace="http://www.h3c.com/netconf/event:1.0" schemaLocation="event.xsd"></xs:import>
  <!--basetypes defined by h3c-->
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd" ></xs:import>
  <!--defines for h3c data's top: 'top' element (for netconf \'top\' elements) -->
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="top_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="top_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="top_data.xsd"></xs:import>
  <!--Fundamentals--> 
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="fundamentals_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="fundamentals_data.xsd"></xs:import>

  <!--The XSD definition of Features -->
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="acl_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="acl_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="acl_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="arp_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="arp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="arp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="bgp_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="bgp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="bgp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="car_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="car_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="configuration_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="configuration_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="configuration_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="device_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="device_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="device_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="dhcp_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dhcp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dhcp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dhcpc6_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dhcpc6_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dhcpc_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dhcpc_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="dhcpsp6_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dhcpsp6_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dhcpsp6_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="dhcpsp_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dhcpsp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dhcpsp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="dns_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dns_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dns_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="domain_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="domain_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="domain_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="dot1x_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="dot1x_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="dot1x_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="filesystem_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="filesystem_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ftp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ftp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="hq_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="hq_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="ifmgr_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ifmgr_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ifmgr_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="igmpsnooping_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="igmpsnooping_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ip6addr_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ip6addr_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ipaddr_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ipaddr_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ipcim_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ipcim_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="irf_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="irf_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="irf_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="lagg_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="lagg_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="lauth_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="lauth_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="lauth_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="lldp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="lldp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="lr_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="lr_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="mac_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="mac_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="mac_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="maca_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="maca_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="maca_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="mgroup_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="mgroup_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="mldsnooping_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="mldsnooping_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="mqc_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="mqc_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="mqc_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="nd_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="nd_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="nd_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ntp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ntp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="package_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="package_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="pbr_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="pbr_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="ping6_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="ping_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="pkey_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="pkey_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="pkey_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="pki_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="pki_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="pki_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="poe_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="poe_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="poe_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="portal_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="portal_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="portsec_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="portsec_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="primap_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="primap_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="pwdctrl_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="pwdctrl_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="pwdctrl_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="radius_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="radius_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="radius_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="rbac_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="rbac_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="rdssrvmgt_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="rdssrvmgt_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="rdssrvmgt_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="rip_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="rip_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="route_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="routepolicy_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="routepolicy_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="snmp_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="snmp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="snmp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ssh_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ssh_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="ssl_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="ssl_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="staticroute_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="staticroute_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="stp_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="stp_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="stp_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="syslog_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="syslog_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="syslog_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="tacacs_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="tacacs_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="tacacs_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="telnet_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="telnet_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="tracert6_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="tracert_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="trange_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="trange_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="vcf_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="vcf_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/action:1.0" schemaLocation="vlan_action.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="vlan_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="vlan_data.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/config:1.0" schemaLocation="webauth_config.xsd"></xs:import>
  <xs:import namespace="http://www.h3c.com/netconf/data:1.0" schemaLocation="webauth_data.xsd"></xs:import>
</xs:schema>
